import request from '@/utils/request'

// 查询【请填写功能名称】列表
export function listDatabase(query) {
  return request({
    url: '/train/database/list',
    method: 'get',
    params: query
  })
}

// 查询【请填写功能名称】详细
export function getDatabase(id) {
  return request({
    url: '/train/database/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function addDatabase(data) {
  return request({
    url: '/train/database',
    method: 'post',
    data: data
  })
}

// 修改【请填写功能名称】
export function updateDatabase(data) {
  return request({
    url: '/train/database',
    method: 'put',
    data: data
  })
}

// 删除【请填写功能名称】
export function delDatabase(id) {
  return request({
    url: '/train/database/' + id,
    method: 'delete'
  })
}

// 查询【请填写功能名称】详细
export function getDirectoryTree() {
  return request({
    url: '/train/directory/tree',
    method: 'get'
  })
}

// 创建文件夹
export function createDirectory(data) {
  return request({
    url: '/train/directory',
    method: 'post',
    data: data
  })
}

